Package de.willuhn.jameica.hbci.accounts.hbci

# Class HBCIAccountPinTan

java.lang.Object
de.willuhn.jameica.hbci.accounts.hbci.HBCIAccountPinTan

public class HBCIAccountPinTan extends Object
Bean, welche die Eckdaten des neuen PIN/TAN-Zugangs kapselt.

## Constructor Summary

Constructors
Constructor
Description
`HBCIAccountPinTan()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBlz()`
Liefert die BLZ.
`String`
`getCustomer()`
Liefert die Kundenkennung.
`String`
`getUrl()`
Liefert die URL.
`String`
`getUsername()`
Liefert den Usernamen.
`void`
`setBlz(String blz)`
Speichert die BLZ.
`void`
`setCustomer(String customer)`
Speichert die Kundenkennung.
`void`
`setUrl(String url)`
Speichert die URL.
`void`
`setUsername(String username)`
Speichert den Usernamen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIAccountPinTan

public HBCIAccountPinTan()

## Method Details

### getBlz

public String getBlz()
Liefert die BLZ.

Returns:
  die BLZ.

### setBlz

public void setBlz(String blz)
Speichert die BLZ.

Parameters:
  `blz` - die BLZ.

### getUrl

public String getUrl()
Liefert die URL.

Returns:
  die URL.

### setUrl

public void setUrl(String url)
Speichert die URL.

Parameters:
  `url` - die URL.

### getCustomer

public String getCustomer()
Liefert die Kundenkennung.

Returns:
  customer die Kundenkennung.

### setCustomer

public void setCustomer(String customer)
Speichert die Kundenkennung.

Parameters:
  `customer` - die Kundenkennung.

### getUsername

public String getUsername()
Liefert den Usernamen.

Returns:
  der Username.

### setUsername

public void setUsername(String username)
Speichert den Usernamen.

Parameters:
  `username` - der Username.